# Note: this method must be moved to utilities.py and run from there.
# This is required to provide exposure to the app, db, and models classes.


def store_db_contents_to_file(self):
    '''
    These are stored to file rather than copying database (pg:backups) as
    I need to include these 'snapshots' in my report to highlight the change
    in: usability improvements, questions, messages, and ontology.
    '''
    from app import db, models
    from datetime import datetime
    # Note: snapshots won't be added to git as they contain user messages.
    filename = datetime.now().strftime("%d-%m-%Y") + '-snapshot.txt'

    with open(filename, 'w') as f:
        # Used to determine usability of system, and user suggestions.
        for item in db.session.query(models.Feedback).all():
            f.write('%s, %s\n' % (item.sus, item.general))
        f.write('\n')
        # Used to determine which questions are effective via rating.
        for item in db.session.query(models.Question).all():
            f.write('%s, %s, %s\n' %
                    (item.question, item.concept, item.rating))
        f.write('\n')
        # Used to improve ontology through use participation.
        for item in db.session.query(models.Message).all():
            f.write('%s, %s, %s\n' %
                    (item.status, item.content, item.conversation_id))
